import request from '@/utils/request'

export function login(data = {}) {
  return request({
    'url': '/common/app/login',
    headers: {
      isToken: false
    },
	isLoading: true,
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getConfig(data = {}) {
  return request({
    'url': '/common/app/config',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getVersion(data = {}) {
  return request({
    'url': '/common/app/version',
    headers: {
      isToken: false
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getAllImgList(data = {}) {
  return request({
    'url': '/common/app/xiaochengxu',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}